Tuesday, June 5, 2012

Java error on Eclipse Fedora 17

This is a follow up on my Fedora 17 update, the only issue I had was the eclipse error, it turn out to be a simple detail, because it was an update and I did had install Sun Java, the software link was not updated to the java-1.7.0 that comes with Fedora 17, so a simple solution:

cd /etc/alternatives

then

rm java

and then
ln -s   /usr/lib/jvm/jre-1.7.0-openjdk.x86_64/bin/java

that took care of the issue.
Now my eclipse works fine.


By the way it is election season in Fedora so go vote I did.


2 comments:

matej said...

Why so complicated? If you capture to a file output of

rpm -q --scripts java-1.7.0-openjdk

(of course only postinstall part) you can recreate exactly the aliases you had from the original package.

Alejandro Perez said...

You are right